
Katello - Bug #5166

User is allowed to create activation key with blank spaces in name

04/11/2014 09:26 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1083471 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1083471

Description of problem:

Create a activation key with preceding/trailing spaces in name. UI will create the key

Version-Release number of selected component (if applicable):

snap5 compose4

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.16-1.el6sat.noarch

foreman-postgresql-1.5.0.16-1.el6sat.noarch

foreman-proxy-1.5.4-1.el6sat.noarch

foreman-release-1.5.0-0.develop.201403311342git846433a.el6.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.32-1.el6sat.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-5.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-12.el6sat.noarch

How reproducible:

always
Steps to Reproduce:

1. create activation key with spaces in name like:

"xyz   "

"    xyz"

"xyz      abc"

Do not use quotes while editing the name on UI

2.

3.

Actual results:

User is allowed to create activation key with blank spaces in name

Expected results:

UI should throw validation error in case name includes spaces

Additional info:

History

#1 - 04/11/2014 09:27 PM - Bryan Kearney

- Assignee set to Thomas McKay

- Triaged set to No

#2 - 04/24/2014 07:48 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#3 - 04/25/2014 05:52 PM - Thomas McKay

- Status changed from New to Closed

- % Done changed from 0 to 100

updated from bugzilla

#4 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes
